#ifndef _CPRI_TEST_CASE33_H_
#define _CPRI_TEST_CASE33_H_

// 4 ant, 7DS2U
#define CPRI_CASE33_IDNUM							6
#define CPRI_CASE33_SLOT_NUM						20

#define CPRI_CASE33_ID0_SIZE						1
#define CPRI_CASE33_ID1_SIZE						8
#define CPRI_CASE33_ID2_SIZE						8
#define CPRI_CASE33_ID3_SIZE						8
#define CPRI_CASE33_ID4_SIZE						8
#define CPRI_CASE33_ID5_SIZE						1

#define CPRI_CASE33_RX_DUMMY_DATA_LEN				0x3AC370	// 0x3A4FB8 // have agc data
#define CPRI_CASE33_RX_SLOTS_DATA_LEN				0x22848		// 0x22C90	// no agc
#define CPRI_CASE33_RX_SLOTD_DATA_LEN				0x78F00		// 0x79E00	// no agc

#define CPRI_CASE33_TDD_DATA_LEN					0x4C2C00				

#define CPRI_CASE33_RX1_DUMMY_DATA_ADDR				0xB49B8000	// end:B4E7AC00
#define CPRI_CASE33_RX1_SLOTS_DATA_ADDR				((CPRI_CASE33_RX1_DUMMY_DATA_ADDR)+(CPRI_CASE33_RX_DUMMY_DATA_LEN))
#define CPRI_CASE33_RX1_SLOT8_DATA_ADDR				((CPRI_CASE33_RX1_SLOTS_DATA_ADDR)+(CPRI_CASE33_RX_SLOTS_DATA_LEN))
#define CPRI_CASE33_RX1_SLOT9_DATA_ADDR				((CPRI_CASE33_RX1_SLOT8_DATA_ADDR)+(CPRI_CASE33_RX_SLOTD_DATA_LEN))

#define CPRI_CASE33_RX2_DUMMY_DATA_ADDR				0xB4E7AC00	// end:B533D800
#define CPRI_CASE33_RX2_SLOTS_DATA_ADDR				((CPRI_CASE33_RX2_DUMMY_DATA_ADDR)+(CPRI_CASE33_RX_DUMMY_DATA_LEN))
#define CPRI_CASE33_RX2_SLOT8_DATA_ADDR				((CPRI_CASE33_RX2_SLOTS_DATA_ADDR)+(CPRI_CASE33_RX_SLOTS_DATA_LEN))
#define CPRI_CASE33_RX2_SLOT9_DATA_ADDR				((CPRI_CASE33_RX2_SLOT8_DATA_ADDR)+(CPRI_CASE33_RX_SLOTD_DATA_LEN))


#define LONGCP_BF_CNT								139
#define SHORTCP_BF_CNT								137

#define CPRI_CASE33_TX_SLOT_EVEN_F7SYMBOL_TAG		0
#define CPRI_CASE33_TX_SLOT_ODD_F7SYMBOL_TAG		1
#define CPRI_CASE33_TX_SLOT_EVEN_B7SYMBOL_TAG		2
#define CPRI_CASE33_TX_SLOT_ODD_B7SYMBOL_TAG		3

#define CPRI_CASE33_RX_SLOT_EVEN_F7SYMBOL_TAG		4
#define CPRI_CASE33_RX_SLOT_ODD_F7SYMBOL_TAG		5
#define CPRI_CASE33_RX_SLOT_EVEN_B7SYMBOL_TAG		6
#define CPRI_CASE33_RX_SLOT_ODD_B7SYMBOL_TAG		7

int32_t fh_data_init(void);

int32_t fh_hw_test_init(void);

int32_t fh_csu_test_init(void);

void Get_Cpri_OptionId();

void HeaderTxRam_data_init();

void Axc_data_init();

void cpri_csu_config();

void cpri_test_case();

void Cpri_Header_test();

void cpri_test_move_data();

void AxC_data_check(uint32_t times);

void cpri_check_slot_data(uint32_t slotNum);


#endif

